Subject: Re: bug#41984: 28.0.50; term.el's select-window call interacts badly with modeline

From: Herman, Géza <[email-masked]>
Date: Sun, 21 Jun 2020 20:18:31 +0200

On 6/21/20 6:30 PM, Eli Zaretskii wrote:
> I don't see why this would not be a right thing to do.  Presumably,
> term.el wants to attract the user's attention to the fact that new
> input arrived.
Okay, I don't understand emacs's internals nor elisp to judge this. As I 
see, it doesn't attract the user's attention. It does some scroll 
related stuff. Like keeping the last written line at the bottom, or so.

Anyways, as adding a "t" parameter to select-window seems to fix the 
issue for me, I'll just add it into my term.el. Feel free to close this 
issue if you think that's not a term.el bug.